<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
$m = @$db->sql_query("select * from `forum_msg` where `id`='".$fid."';" );
$mess = @$db->sql_fetchrow($m);
if (mysql_affected_rows() == 0){
echo '<b>Такого сообщения не существует!</b>';
echo '<br />';
echo gb.'<a href="./">Форум</a>'.div;
foot();
}
$tid = $mess[t_id];
$tem = @$db->sql_fetchrow($q1 = @$db->sql_query("select  *  from  `forum_t` where `id`='".$tid."' ;" ));
if (mysql_affected_rows() == 0){
echo '<b>Такой темы не существует! Возможно она была удалена модератором.</b>';
echo '<br />';
echo gb.'<a href="./">Форум</a>'.div;
foot();
}
$page = check($_GET['page']);
$t_name = $tem ['name'];
$f = $tem ['f_id'];
$r = $tem ['r_id'];

$for = @$db->sql_fetchrow($db->sql_query( "select * from  `forum_f` where id='$f';" ));
$raz = @$db->sql_fetchrow($db->sql_query( "select * from  `forum_r` where id='$r';" ));

echo '<a href="./">Форумы</a>|<a href="razdel_'.$f.'">'.$for[name].'</a>';
echo '|<a href="temes_'.$r.'">'.$raz[name].'</a>|<a href="tema_'.$tid.'_'.$page.'">'.$tem['name'].'</a><br /><dl><dt></dt></dl>';

$q = $db->sql_query("SELECT * from `forum_msg` WHERE `t_id` = '".$tid."' and `id` = '".$fid."'" );
$mess = @$db->sql_fetchrow($q);
$time = $mess['time'];
$m = $mess['id'];

if (empty($mess['privat'])){  // если написали не в Приват
echo links;

echo '<a href="'.H.$mess[user_id].'">'.nik($mess[user_id]).'</a> ';
if ($tem['close']!=1){
if ($user['id']!=$mess['user_id'])echo '<a href="addpost_'.$fid.'_'.$mess[user_id].'_'.$page.'" title="Ответить">[Отв]</a>|<a href="cit_'.$m.'_'.$page.'" title="Цитировать">[Цит]</a>';

}

echo '('.times($mess['time']).')';
include'rat.php';

echo div;
if ($mess['cit']) echo citata.'&#160;<i>'.bbcode($mess['cit']).'</i>'.div;// Сцитата

echo text($mess['msg']);

if ($mess['file']!=NULL){
echo "<br/>";
if ($mess['file']==del)echo '&#160;Файл удален! ['.$mess['sfile'].'|'.round($mess['fsize']/1024,1).' кб.]';
else{
echo "&#160;Файл: <a href=\"down_".$mess['id']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [".$mess['sfile']."|".round($mess['fsize']/1024,1)." кб.]";
if(($user['level']>4)&&(user_inf($user['level']>=$mess[user_id],'level'))||($user['id']==$mess['user_id']))echo ' <a href="?delf='.$m.'" title="Удалить">[удал]</a>|';}
}
if($user['redp']==1) echo $mess['izm'];// Сообщенио о редактировании поста
echo '<dl></dl>';


}else if($mess['privat']==$user['id']||$mess['user_id']==$user['id']||$user['level']==9){ // Если приват = челу

echo links;
//echo "".$k_page2--.". ";
echo ($post_k++);

echo "<a href=\"".H.$mess[user_id]."\">".nik($mess[user_id])."</a> ";
if ($tem['close']!=1){
if ($user['id']!=$mess['user_id'])echo '<a href="addpost_'.$fid.'_'.$mess[user_id].'_'.$page.'" title="Ответить">[Отв]</a>|<a href="cit_'.$m.'_'.$page.'" title="Цитировать">[Цит]</a>';
}

echo '('.times($mess['time']).')<font color="red">Приватное!</font>';
include'rat.php';
echo div;
if ($mess['cit']) echo citata.'&#160;<i>'.bbcode($mess['cit']).'</i>'.div;// Сцитата

echo text($mess['msg']);

if ($mess['file']!=NULL){
echo "<br/>";
if ($mess['file']==del)echo '&#160;Файл удален! ['.$mess['sfile'].'|'.round($mess['fsize']/1024,1).' кб.]';
else{
echo "&#160;Файл: <a href=\"down_".$mess['id']."\" title=\"Скачать файл ".$mess['fname']."\">".$mess['fname']."</a> [".$mess['sfile']."|".round($mess['fsize']/1024,1)." кб.]";
if(($user['level']>4)&&(user_inf($user['level']>=$mess[user_id],'level'))||($user['id']==$mess['user_id']))echo ' <a href="?delf='.$m.'" title="Удалить">[удал]</a>|';}
}
if($user['redp']==1) echo $mess['izm'];// Сообщенио о редактировании поста

echo '<dl></dl>';
}else{ // если чел левый

echo links;
//echo "".$k_page2--.". ";
echo ($post_k++);

echo "<a href=\"".H.$mess[user_id]."\">".nik($mess[user_id])."</a> ";
echo '('.times($mess['time']).')';
include'rat.php';
echo div;
echo 'Приватное сообщение, видит только адресат...';
echo '<dl></dl>';
}

echo '<br/><a href="tema_'.$tid.'_'.$page.'">Вернуться в тему</a>';
echo '<br /><dl><dt></dt></dl>';


?>